Summary: The GNU patch command, for modifying/upgrading files.
Name: patch
Version: 2.5.4
Release: 1.3.0
License: GPL
URL: http://www.gnu.org/software/patch/patch.html
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/patch/patch-%{version}.tar.gz
Patch1: patch-2.5-stderr.patch
Patch2: patch-2.5.4-suffix.patch
Patch3: patch-2.5.4-sigsegv.patch
Patch4: patch-2.5.4-ifdef.patch
Patch5: patch-2.5.4-program_name.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q
%patch1 -p1 -b .stderr
%patch2 -p1 -b .suffix
%patch3 -p1 -b .sigsegv
%patch4 -p1 -b .ifdef
%patch5 -p1 -b .program_name

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure

# XXX unset CPPFLAGS on (ultra?)sparc to avoid large file system support
%ifarch sparc sparc64
make CPPFLAGS=""
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/*
%{_mandir}/*/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
